## ros-rolling-rmw-gurumdds-shared-cpp 4.0.0

=== debian/changelog ===
ros-rolling-rmw-gurumdds-shared-cpp (4.0.0-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 08 May 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.2.0-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.1.6-1jammy) jammy; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.1.5-1jammy) jammy; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.1.4-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.1.3-1jammy) jammy; urgency=high

  * Wrap up unordered_map with shared_ptr
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.1.2-1jammy) jammy; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.1.1-1jammy) jammy; urgency=high

  * Add public to qos convert api& fix for uncrustify
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 20 Dec 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.1.0-1jammy) jammy; urgency=high

  * Add pdp handling process
  * Add client/service Qos getters
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 24 Nov 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.9-1jammy) jammy; urgency=high

  * Add missing return
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.8-1jammy) jammy; urgency=high

  * Fix bug: condition of dw/dr seq delete
  * Support static discovery
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.7-1jammy) jammy; urgency=high

  * Remove sleep before fill tnat
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 26 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.6-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.5-1jammy) jammy; urgency=high

  * Stop double-defining structs
  * Add rmw_publisher_wait_for_all_acked
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.4-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.3-1jammy) jammy; urgency=high

  * Wait for state change of topic cache
  * Remove datareader listener patch
  * Remove attached waitset conditions on destructor
  * Remove unnecessary operation
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 18 Aug 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.2-1jammy) jammy; urgency=high

  * Move handle sequence delete into right place
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.1-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 06 Jul 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (3.0.0-1jammy) jammy; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 28 Apr 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (2.1.4-1jammy) jammy; urgency=high

  * Take and return new RMW_DURATION_INFINITE
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 21 Apr 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (2.1.3-1jammy) jammy; urgency=high

  * fix typo
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (2.1.2-1jammy) jammy; urgency=high

  * Update code about build error on windows
  * Add RMW function to check QoS compatibility
  * Contributors: Youngjin Yun, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 21 Mar 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (2.1.1-1jammy) jammy; urgency=high

  * Update packages to use gurumdds-2.7
  * fix typo
  * Contributors: youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 11 Mar 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (2.1.0-1jammy) jammy; urgency=high

  * Change maintainer
  * Set actual domain id into context
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 22 Feb 2021 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (2.0.1-1jammy) jammy; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (2.0.0-1jammy) jammy; urgency=high

  * Removed parameters domain_id and localhost_only from rmw_create_node()
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (1.1.0-1jammy) jammy; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID
  * Added support for sample_lost event
  * Set resource_limit explicitly
  * Fixed compile warnings
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-rolling-rmw-gurumdds-shared-cpp (1.0.0-1jammy) jammy; urgency=high


