=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Youngjin Yun <youngjin@gurum.cc>
-Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-gurumdds-cmake-module, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-cmake, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-gurumdds-cmake-module, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-cmake, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2
